import MySQLdb
con = MySQLdb.connect(host="localhost", user="root", charset="utf8", db="python")
con.autocommit(True) # Автоматическое завершение транзакции
cur = con.cursor() # Создаем объект-курсор
t1 = ("Москва",) # Запятая в конце обязательна!
t2 = (3, "Новгород")
d = {"id": 4, "name": """Новый ' " город"""}
sql_t1 = "INSERT INTO `city` (`name_city`) VALUES (%s)"
sql_t2 = "INSERT INTO `city` VALUES (%s, %s)"
sql_d  = "INSERT INTO `city` VALUES (%(id)s, %(name)s)"
try:	# Обрабатываем исключения
    cur.execute("SET NAMES utf8") # Кодировка соединения
    cur.execute(sql_t1, t1) # Кортеж из 1-го элемента
    cur.execute(sql_t2, t2) # Кортеж из 2-х элементов
    cur.execute(sql_d,   d) # Словарь
except MySQLdb.DatabaseError as err:
    print("Ошибка:", err)
else:
    print("Запрос успешно выполнен")
cur.close()  # Закрываем объект-курсор
con.close()  # Закрываем соединение
input()
